#ifndef _CLENSFLARESCENENODE_H_INCLUDED_
#define _CLENSFLARESCENENODE_H_INCLUDED_

#include "ILensFlareSceneNode.h"

namespace irr
{
namespace scene
{

class CLensFlareSceneNode : public ILensFlareSceneNode
{
    public:

        CLensFlareSceneNode(ISceneNode* parent, scene::ISceneManager* mgr, s32 id, const core::vector3df& position);

        virtual video::SMaterial& getMaterial(u32 i);

        virtual u32 getMaterialCount() const;

        virtual void OnRegisterSceneNode();

        virtual void render();

        virtual const core::aabbox3d<f32>& getBoundingBox() const;

    private:

        core::dimension2d<s32> screensize;

        core::aabbox3d<f32> BBox;

        video::SMaterial material;

        video::S3DVertex vertices[4];

        u16 indices[6];
};

} // end namespace scene
} // end namespace irr
#endif
